/* 
 * embed_test.c V1.0 - sample main for use of embed_tcl.c library
 * 
 * Copyright (c) 1993 University of Southern California.
 * All rights reserved.                                            
 *                                                                
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation, advertising
 * materials, and other materials related to such distribution and use
 * acknowledge that the software was developed by the University of
 * Southern California, Information Sciences Institute.  The name of the
 * University may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 J. Touch / touch@isi.edu
 10/7/93
    
*/

#include <stdio.h>
#include <tk.h>
#include <malloc.h>
#include "embed_tcl.h"

/* these are compiled from the C-code output of tcl2array */
/* the name 'TCLSTRINGNAME' must be used! */

extern char *TCLSTRINGNAME[];
extern long TCLSTRINGNAME_lines, TCLSTRINGNAME_chars;

#define NULL 0

Tcl_Interp *interp;

static Tk_Window main_window;

static void StructureProc(clientData, eventPtr)
     ClientData clientData;
     XEvent *eventPtr;
{
  if (eventPtr->type == DestroyNotify) {
    main_window = NULL;
  }
}

main()
{
  int code;
  char *src;
  
  interp = Tcl_CreateInterp();
  main_window = Tk_CreateMainWindow(interp, "", "Embed Test");
/*
  Tk_CreateEventHandler(main_window, StructureNotifyMask, StructureProc, NULL);
*/
  src = embed_arraytostring(TCLSTRINGNAME,TCLSTRINGNAME_lines,TCLSTRINGNAME_chars);
  code = Tcl_Eval(interp, src);
  if (*interp->result != 0) {
    printf("%s\n", interp->result);
  }
  if (code != TCL_OK) {
    exit(1);
  }
  free(src);
  Tk_MainLoop();
  exit(0);
  /* NOTREACHED */
}




